(defproblem problem domain 
  (
    (visible waypoint0 waypoint5)
    (visible waypoint5 waypoint0)
    (visible waypoint0 waypoint15)
    (visible waypoint15 waypoint0)
    (visible waypoint0 waypoint23)
    (visible waypoint23 waypoint0)
    (visible waypoint1 waypoint23)
    (visible waypoint23 waypoint1)
    (visible waypoint2 waypoint1)
    (visible waypoint1 waypoint2)
    (visible waypoint2 waypoint5)
    (visible waypoint5 waypoint2)
    (visible waypoint2 waypoint6)
    (visible waypoint6 waypoint2)
    (visible waypoint2 waypoint14)
    (visible waypoint14 waypoint2)
    (visible waypoint2 waypoint16)
    (visible waypoint16 waypoint2)
    (visible waypoint2 waypoint23)
    (visible waypoint23 waypoint2)
    (visible waypoint3 waypoint1)
    (visible waypoint1 waypoint3)
    (visible waypoint3 waypoint13)
    (visible waypoint13 waypoint3)
    (visible waypoint3 waypoint15)
    (visible waypoint15 waypoint3)
    (visible waypoint3 waypoint18)
    (visible waypoint18 waypoint3)
    (visible waypoint3 waypoint20)
    (visible waypoint20 waypoint3)
    (visible waypoint4 waypoint1)
    (visible waypoint1 waypoint4)
    (visible waypoint4 waypoint6)
    (visible waypoint6 waypoint4)
    (visible waypoint4 waypoint13)
    (visible waypoint13 waypoint4)
    (visible waypoint4 waypoint16)
    (visible waypoint16 waypoint4)
    (visible waypoint4 waypoint19)
    (visible waypoint19 waypoint4)
    (visible waypoint4 waypoint20)
    (visible waypoint20 waypoint4)
    (visible waypoint5 waypoint1)
    (visible waypoint1 waypoint5)
    (visible waypoint5 waypoint4)
    (visible waypoint4 waypoint5)
    (visible waypoint5 waypoint8)
    (visible waypoint8 waypoint5)
    (visible waypoint5 waypoint16)
    (visible waypoint16 waypoint5)
    (visible waypoint6 waypoint5)
    (visible waypoint5 waypoint6)
    (visible waypoint6 waypoint8)
    (visible waypoint8 waypoint6)
    (visible waypoint6 waypoint9)
    (visible waypoint9 waypoint6)
    (visible waypoint6 waypoint11)
    (visible waypoint11 waypoint6)
    (visible waypoint6 waypoint21)
    (visible waypoint21 waypoint6)
    (visible waypoint7 waypoint0)
    (visible waypoint0 waypoint7)
    (visible waypoint7 waypoint4)
    (visible waypoint4 waypoint7)
    (visible waypoint7 waypoint8)
    (visible waypoint8 waypoint7)
    (visible waypoint7 waypoint16)
    (visible waypoint16 waypoint7)
    (visible waypoint7 waypoint17)
    (visible waypoint17 waypoint7)
    (visible waypoint8 waypoint4)
    (visible waypoint4 waypoint8)
    (visible waypoint8 waypoint16)
    (visible waypoint16 waypoint8)
    (visible waypoint8 waypoint17)
    (visible waypoint17 waypoint8)
    (visible waypoint9 waypoint2)
    (visible waypoint2 waypoint9)
    (visible waypoint9 waypoint5)
    (visible waypoint5 waypoint9)
    (visible waypoint9 waypoint7)
    (visible waypoint7 waypoint9)
    (visible waypoint9 waypoint14)
    (visible waypoint14 waypoint9)
    (visible waypoint9 waypoint17)
    (visible waypoint17 waypoint9)
    (visible waypoint10 waypoint11)
    (visible waypoint11 waypoint10)
    (visible waypoint10 waypoint15)
    (visible waypoint15 waypoint10)
    (visible waypoint11 waypoint8)
    (visible waypoint8 waypoint11)
    (visible waypoint11 waypoint19)
    (visible waypoint19 waypoint11)
    (visible waypoint12 waypoint3)
    (visible waypoint3 waypoint12)
    (visible waypoint12 waypoint6)
    (visible waypoint6 waypoint12)
    (visible waypoint12 waypoint11)
    (visible waypoint11 waypoint12)
    (visible waypoint12 waypoint13)
    (visible waypoint13 waypoint12)
    (visible waypoint12 waypoint19)
    (visible waypoint19 waypoint12)
    (visible waypoint12 waypoint22)
    (visible waypoint22 waypoint12)
    (visible waypoint12 waypoint23)
    (visible waypoint23 waypoint12)
    (visible waypoint12 waypoint24)
    (visible waypoint24 waypoint12)
    (visible waypoint13 waypoint14)
    (visible waypoint14 waypoint13)
    (visible waypoint13 waypoint15)
    (visible waypoint15 waypoint13)
    (visible waypoint13 waypoint20)
    (visible waypoint20 waypoint13)
    (visible waypoint14 waypoint0)
    (visible waypoint0 waypoint14)
    (visible waypoint14 waypoint1)
    (visible waypoint1 waypoint14)
    (visible waypoint14 waypoint5)
    (visible waypoint5 waypoint14)
    (visible waypoint14 waypoint6)
    (visible waypoint6 waypoint14)
    (visible waypoint14 waypoint8)
    (visible waypoint8 waypoint14)
    (visible waypoint14 waypoint12)
    (visible waypoint12 waypoint14)
    (visible waypoint14 waypoint20)
    (visible waypoint20 waypoint14)
    (visible waypoint15 waypoint1)
    (visible waypoint1 waypoint15)
    (visible waypoint15 waypoint6)
    (visible waypoint6 waypoint15)
    (visible waypoint15 waypoint12)
    (visible waypoint12 waypoint15)
    (visible waypoint15 waypoint16)
    (visible waypoint16 waypoint15)
    (visible waypoint16 waypoint10)
    (visible waypoint10 waypoint16)
    (visible waypoint16 waypoint20)
    (visible waypoint20 waypoint16)
    (visible waypoint17 waypoint11)
    (visible waypoint11 waypoint17)
    (visible waypoint17 waypoint14)
    (visible waypoint14 waypoint17)
    (visible waypoint17 waypoint15)
    (visible waypoint15 waypoint17)
    (visible waypoint17 waypoint18)
    (visible waypoint18 waypoint17)
    (visible waypoint17 waypoint20)
    (visible waypoint20 waypoint17)
    (visible waypoint18 waypoint0)
    (visible waypoint0 waypoint18)
    (visible waypoint18 waypoint1)
    (visible waypoint1 waypoint18)
    (visible waypoint18 waypoint6)
    (visible waypoint6 waypoint18)
    (visible waypoint18 waypoint8)
    (visible waypoint8 waypoint18)
    (visible waypoint18 waypoint9)
    (visible waypoint9 waypoint18)
    (visible waypoint18 waypoint10)
    (visible waypoint10 waypoint18)
    (visible waypoint19 waypoint6)
    (visible waypoint6 waypoint19)
    (visible waypoint19 waypoint21)
    (visible waypoint21 waypoint19)
    (visible waypoint20 waypoint19)
    (visible waypoint19 waypoint20)
    (visible waypoint21 waypoint4)
    (visible waypoint4 waypoint21)
    (visible waypoint21 waypoint5)
    (visible waypoint5 waypoint21)
    (visible waypoint21 waypoint8)
    (visible waypoint8 waypoint21)
    (visible waypoint21 waypoint11)
    (visible waypoint11 waypoint21)
    (visible waypoint21 waypoint13)
    (visible waypoint13 waypoint21)
    (visible waypoint21 waypoint17)
    (visible waypoint17 waypoint21)
    (visible waypoint21 waypoint18)
    (visible waypoint18 waypoint21)
    (visible waypoint22 waypoint11)
    (visible waypoint11 waypoint22)
    (visible waypoint22 waypoint16)
    (visible waypoint16 waypoint22)
    (visible waypoint22 waypoint21)
    (visible waypoint21 waypoint22)
    (visible waypoint23 waypoint10)
    (visible waypoint10 waypoint23)
    (visible waypoint23 waypoint18)
    (visible waypoint18 waypoint23)
    (visible waypoint23 waypoint20)
    (visible waypoint20 waypoint23)
    (visible waypoint24 waypoint5)
    (visible waypoint5 waypoint24)
    (visible waypoint24 waypoint7)
    (visible waypoint7 waypoint24)
    (visible waypoint24 waypoint18)
    (visible waypoint18 waypoint24)
    (visible waypoint24 waypoint20)
    (visible waypoint20 waypoint24)
    (visible waypoint24 waypoint23)
    (visible waypoint23 waypoint24)
    (at-soil-sample waypoint0)
    (at-soil-sample waypoint1)
    (at-soil-sample waypoint7)
    (at-rock-sample waypoint7)
    (at-soil-sample waypoint8)
    (at-soil-sample waypoint9)
    (at-rock-sample waypoint9)
    (at-rock-sample waypoint10)
    (at-soil-sample waypoint11)
    (at-rock-sample waypoint12)
    (at-soil-sample waypoint13)
    (at-rock-sample waypoint14)
    (at-soil-sample waypoint15)
    (at-rock-sample waypoint16)
    (at-soil-sample waypoint17)
    (at-soil-sample waypoint18)
    (at-rock-sample waypoint18)
    (at-soil-sample waypoint20)
    (at-rock-sample waypoint21)
    (at-soil-sample waypoint22)
    (at-rock-sample waypoint22)
    (at-soil-sample waypoint23)
    (at-soil-sample waypoint24)
    (at-lander general waypoint1)
    (channel-free general)
    (at rover0 waypoint22)
    (available rover0)
    (store-of rover0store rover0)
    (empty rover0store)
    (equipped-for-soil-analysis rover0)
    (equipped-for-imaging rover0)
    (can-traverse rover0 waypoint22 waypoint11)
    (can-traverse rover0 waypoint11 waypoint22)
    (can-traverse rover0 waypoint22 waypoint12)
    (can-traverse rover0 waypoint12 waypoint22)
    (can-traverse rover0 waypoint22 waypoint21)
    (can-traverse rover0 waypoint21 waypoint22)
    (can-traverse rover0 waypoint11 waypoint6)
    (can-traverse rover0 waypoint6 waypoint11)
    (can-traverse rover0 waypoint11 waypoint8)
    (can-traverse rover0 waypoint8 waypoint11)
    (can-traverse rover0 waypoint11 waypoint10)
    (can-traverse rover0 waypoint10 waypoint11)
    (can-traverse rover0 waypoint11 waypoint17)
    (can-traverse rover0 waypoint17 waypoint11)
    (can-traverse rover0 waypoint11 waypoint19)
    (can-traverse rover0 waypoint19 waypoint11)
    (can-traverse rover0 waypoint12 waypoint13)
    (can-traverse rover0 waypoint13 waypoint12)
    (can-traverse rover0 waypoint12 waypoint15)
    (can-traverse rover0 waypoint15 waypoint12)
    (can-traverse rover0 waypoint12 waypoint24)
    (can-traverse rover0 waypoint24 waypoint12)
    (can-traverse rover0 waypoint21 waypoint4)
    (can-traverse rover0 waypoint4 waypoint21)
    (can-traverse rover0 waypoint21 waypoint5)
    (can-traverse rover0 waypoint5 waypoint21)
    (can-traverse rover0 waypoint21 waypoint18)
    (can-traverse rover0 waypoint18 waypoint21)
    (can-traverse rover0 waypoint6 waypoint2)
    (can-traverse rover0 waypoint2 waypoint6)
    (can-traverse rover0 waypoint6 waypoint9)
    (can-traverse rover0 waypoint9 waypoint6)
    (can-traverse rover0 waypoint6 waypoint14)
    (can-traverse rover0 waypoint14 waypoint6)
    (can-traverse rover0 waypoint8 waypoint7)
    (can-traverse rover0 waypoint7 waypoint8)
    (can-traverse rover0 waypoint17 waypoint20)
    (can-traverse rover0 waypoint20 waypoint17)
    (can-traverse rover0 waypoint13 waypoint3)
    (can-traverse rover0 waypoint3 waypoint13)
    (can-traverse rover0 waypoint15 waypoint1)
    (can-traverse rover0 waypoint1 waypoint15)
    (can-traverse rover0 waypoint15 waypoint16)
    (can-traverse rover0 waypoint16 waypoint15)
    (can-traverse rover0 waypoint24 waypoint23)
    (can-traverse rover0 waypoint23 waypoint24)
    (can-traverse rover0 waypoint5 waypoint0)
    (can-traverse rover0 waypoint0 waypoint5)
    (at rover1 waypoint4)
    (available rover1)
    (store-of rover1store rover1)
    (empty rover1store)
    (equipped-for-imaging rover1)
    (can-traverse rover1 waypoint4 waypoint1)
    (can-traverse rover1 waypoint1 waypoint4)
    (can-traverse rover1 waypoint4 waypoint5)
    (can-traverse rover1 waypoint5 waypoint4)
    (can-traverse rover1 waypoint4 waypoint6)
    (can-traverse rover1 waypoint6 waypoint4)
    (can-traverse rover1 waypoint4 waypoint13)
    (can-traverse rover1 waypoint13 waypoint4)
    (can-traverse rover1 waypoint4 waypoint16)
    (can-traverse rover1 waypoint16 waypoint4)
    (can-traverse rover1 waypoint4 waypoint19)
    (can-traverse rover1 waypoint19 waypoint4)
    (can-traverse rover1 waypoint4 waypoint20)
    (can-traverse rover1 waypoint20 waypoint4)
    (can-traverse rover1 waypoint4 waypoint21)
    (can-traverse rover1 waypoint21 waypoint4)
    (can-traverse rover1 waypoint1 waypoint14)
    (can-traverse rover1 waypoint14 waypoint1)
    (can-traverse rover1 waypoint1 waypoint15)
    (can-traverse rover1 waypoint15 waypoint1)
    (can-traverse rover1 waypoint1 waypoint18)
    (can-traverse rover1 waypoint18 waypoint1)
    (can-traverse rover1 waypoint5 waypoint0)
    (can-traverse rover1 waypoint0 waypoint5)
    (can-traverse rover1 waypoint5 waypoint2)
    (can-traverse rover1 waypoint2 waypoint5)
    (can-traverse rover1 waypoint5 waypoint8)
    (can-traverse rover1 waypoint8 waypoint5)
    (can-traverse rover1 waypoint5 waypoint9)
    (can-traverse rover1 waypoint9 waypoint5)
    (can-traverse rover1 waypoint5 waypoint24)
    (can-traverse rover1 waypoint24 waypoint5)
    (can-traverse rover1 waypoint6 waypoint11)
    (can-traverse rover1 waypoint11 waypoint6)
    (can-traverse rover1 waypoint6 waypoint12)
    (can-traverse rover1 waypoint12 waypoint6)
    (can-traverse rover1 waypoint13 waypoint3)
    (can-traverse rover1 waypoint3 waypoint13)
    (can-traverse rover1 waypoint16 waypoint22)
    (can-traverse rover1 waypoint22 waypoint16)
    (can-traverse rover1 waypoint20 waypoint17)
    (can-traverse rover1 waypoint17 waypoint20)
    (can-traverse rover1 waypoint18 waypoint10)
    (can-traverse rover1 waypoint10 waypoint18)
    (can-traverse rover1 waypoint18 waypoint23)
    (can-traverse rover1 waypoint23 waypoint18)
    (can-traverse rover1 waypoint0 waypoint7)
    (can-traverse rover1 waypoint7 waypoint0)
    (at rover2 waypoint3)
    (available rover2)
    (store-of rover2store rover2)
    (empty rover2store)
    (equipped-for-rock-analysis rover2)
    (equipped-for-imaging rover2)
    (can-traverse rover2 waypoint3 waypoint1)
    (can-traverse rover2 waypoint1 waypoint3)
    (can-traverse rover2 waypoint3 waypoint13)
    (can-traverse rover2 waypoint13 waypoint3)
    (can-traverse rover2 waypoint3 waypoint18)
    (can-traverse rover2 waypoint18 waypoint3)
    (can-traverse rover2 waypoint3 waypoint20)
    (can-traverse rover2 waypoint20 waypoint3)
    (can-traverse rover2 waypoint1 waypoint2)
    (can-traverse rover2 waypoint2 waypoint1)
    (can-traverse rover2 waypoint1 waypoint5)
    (can-traverse rover2 waypoint5 waypoint1)
    (can-traverse rover2 waypoint1 waypoint14)
    (can-traverse rover2 waypoint14 waypoint1)
    (can-traverse rover2 waypoint1 waypoint15)
    (can-traverse rover2 waypoint15 waypoint1)
    (can-traverse rover2 waypoint13 waypoint4)
    (can-traverse rover2 waypoint4 waypoint13)
    (can-traverse rover2 waypoint13 waypoint21)
    (can-traverse rover2 waypoint21 waypoint13)
    (can-traverse rover2 waypoint18 waypoint6)
    (can-traverse rover2 waypoint6 waypoint18)
    (can-traverse rover2 waypoint18 waypoint9)
    (can-traverse rover2 waypoint9 waypoint18)
    (can-traverse rover2 waypoint18 waypoint17)
    (can-traverse rover2 waypoint17 waypoint18)
    (can-traverse rover2 waypoint18 waypoint23)
    (can-traverse rover2 waypoint23 waypoint18)
    (can-traverse rover2 waypoint18 waypoint24)
    (can-traverse rover2 waypoint24 waypoint18)
    (can-traverse rover2 waypoint20 waypoint16)
    (can-traverse rover2 waypoint16 waypoint20)
    (can-traverse rover2 waypoint20 waypoint19)
    (can-traverse rover2 waypoint19 waypoint20)
    (can-traverse rover2 waypoint5 waypoint0)
    (can-traverse rover2 waypoint0 waypoint5)
    (can-traverse rover2 waypoint5 waypoint8)
    (can-traverse rover2 waypoint8 waypoint5)
    (can-traverse rover2 waypoint14 waypoint12)
    (can-traverse rover2 waypoint12 waypoint14)
    (can-traverse rover2 waypoint15 waypoint10)
    (can-traverse rover2 waypoint10 waypoint15)
    (can-traverse rover2 waypoint4 waypoint7)
    (can-traverse rover2 waypoint7 waypoint4)
    (can-traverse rover2 waypoint21 waypoint11)
    (can-traverse rover2 waypoint11 waypoint21)
    (can-traverse rover2 waypoint21 waypoint22)
    (can-traverse rover2 waypoint22 waypoint21)
    (at rover3 waypoint3)
    (available rover3)
    (store-of rover3store rover3)
    (empty rover3store)
    (equipped-for-soil-analysis rover3)
    (equipped-for-rock-analysis rover3)
    (can-traverse rover3 waypoint3 waypoint1)
    (can-traverse rover3 waypoint1 waypoint3)
    (can-traverse rover3 waypoint3 waypoint12)
    (can-traverse rover3 waypoint12 waypoint3)
    (can-traverse rover3 waypoint3 waypoint13)
    (can-traverse rover3 waypoint13 waypoint3)
    (can-traverse rover3 waypoint3 waypoint18)
    (can-traverse rover3 waypoint18 waypoint3)
    (can-traverse rover3 waypoint3 waypoint20)
    (can-traverse rover3 waypoint20 waypoint3)
    (can-traverse rover3 waypoint1 waypoint2)
    (can-traverse rover3 waypoint2 waypoint1)
    (can-traverse rover3 waypoint1 waypoint4)
    (can-traverse rover3 waypoint4 waypoint1)
    (can-traverse rover3 waypoint1 waypoint5)
    (can-traverse rover3 waypoint5 waypoint1)
    (can-traverse rover3 waypoint1 waypoint14)
    (can-traverse rover3 waypoint14 waypoint1)
    (can-traverse rover3 waypoint1 waypoint15)
    (can-traverse rover3 waypoint15 waypoint1)
    (can-traverse rover3 waypoint1 waypoint23)
    (can-traverse rover3 waypoint23 waypoint1)
    (can-traverse rover3 waypoint12 waypoint6)
    (can-traverse rover3 waypoint6 waypoint12)
    (can-traverse rover3 waypoint12 waypoint19)
    (can-traverse rover3 waypoint19 waypoint12)
    (can-traverse rover3 waypoint12 waypoint22)
    (can-traverse rover3 waypoint22 waypoint12)
    (can-traverse rover3 waypoint12 waypoint24)
    (can-traverse rover3 waypoint24 waypoint12)
    (can-traverse rover3 waypoint13 waypoint21)
    (can-traverse rover3 waypoint21 waypoint13)
    (can-traverse rover3 waypoint18 waypoint0)
    (can-traverse rover3 waypoint0 waypoint18)
    (can-traverse rover3 waypoint18 waypoint9)
    (can-traverse rover3 waypoint9 waypoint18)
    (can-traverse rover3 waypoint18 waypoint17)
    (can-traverse rover3 waypoint17 waypoint18)
    (can-traverse rover3 waypoint20 waypoint16)
    (can-traverse rover3 waypoint16 waypoint20)
    (can-traverse rover3 waypoint4 waypoint7)
    (can-traverse rover3 waypoint7 waypoint4)
    (can-traverse rover3 waypoint4 waypoint8)
    (can-traverse rover3 waypoint8 waypoint4)
    (can-traverse rover3 waypoint6 waypoint11)
    (can-traverse rover3 waypoint11 waypoint6)
    (can-traverse rover3 waypoint16 waypoint10)
    (can-traverse rover3 waypoint10 waypoint16)
    (at rover4 waypoint16)
    (available rover4)
    (store-of rover4store rover4)
    (empty rover4store)
    (equipped-for-rock-analysis rover4)
    (equipped-for-imaging rover4)
    (can-traverse rover4 waypoint16 waypoint2)
    (can-traverse rover4 waypoint2 waypoint16)
    (can-traverse rover4 waypoint16 waypoint4)
    (can-traverse rover4 waypoint4 waypoint16)
    (can-traverse rover4 waypoint16 waypoint5)
    (can-traverse rover4 waypoint5 waypoint16)
    (can-traverse rover4 waypoint16 waypoint7)
    (can-traverse rover4 waypoint7 waypoint16)
    (can-traverse rover4 waypoint16 waypoint8)
    (can-traverse rover4 waypoint8 waypoint16)
    (can-traverse rover4 waypoint16 waypoint10)
    (can-traverse rover4 waypoint10 waypoint16)
    (can-traverse rover4 waypoint16 waypoint15)
    (can-traverse rover4 waypoint15 waypoint16)
    (can-traverse rover4 waypoint16 waypoint22)
    (can-traverse rover4 waypoint22 waypoint16)
    (can-traverse rover4 waypoint2 waypoint9)
    (can-traverse rover4 waypoint9 waypoint2)
    (can-traverse rover4 waypoint2 waypoint14)
    (can-traverse rover4 waypoint14 waypoint2)
    (can-traverse rover4 waypoint4 waypoint1)
    (can-traverse rover4 waypoint1 waypoint4)
    (can-traverse rover4 waypoint4 waypoint13)
    (can-traverse rover4 waypoint13 waypoint4)
    (can-traverse rover4 waypoint4 waypoint20)
    (can-traverse rover4 waypoint20 waypoint4)
    (can-traverse rover4 waypoint5 waypoint0)
    (can-traverse rover4 waypoint0 waypoint5)
    (can-traverse rover4 waypoint5 waypoint21)
    (can-traverse rover4 waypoint21 waypoint5)
    (can-traverse rover4 waypoint5 waypoint24)
    (can-traverse rover4 waypoint24 waypoint5)
    (can-traverse rover4 waypoint7 waypoint17)
    (can-traverse rover4 waypoint17 waypoint7)
    (can-traverse rover4 waypoint8 waypoint11)
    (can-traverse rover4 waypoint11 waypoint8)
    (can-traverse rover4 waypoint8 waypoint18)
    (can-traverse rover4 waypoint18 waypoint8)
    (can-traverse rover4 waypoint15 waypoint3)
    (can-traverse rover4 waypoint3 waypoint15)
    (can-traverse rover4 waypoint15 waypoint6)
    (can-traverse rover4 waypoint6 waypoint15)
    (can-traverse rover4 waypoint15 waypoint12)
    (can-traverse rover4 waypoint12 waypoint15)
    (can-traverse rover4 waypoint20 waypoint23)
    (can-traverse rover4 waypoint23 waypoint20)
    (can-traverse rover4 waypoint21 waypoint19)
    (can-traverse rover4 waypoint19 waypoint21)
    (at rover5 waypoint10)
    (available rover5)
    (store-of rover5store rover5)
    (empty rover5store)
    (equipped-for-imaging rover5)
    (can-traverse rover5 waypoint10 waypoint11)
    (can-traverse rover5 waypoint11 waypoint10)
    (can-traverse rover5 waypoint10 waypoint15)
    (can-traverse rover5 waypoint15 waypoint10)
    (can-traverse rover5 waypoint10 waypoint16)
    (can-traverse rover5 waypoint16 waypoint10)
    (can-traverse rover5 waypoint10 waypoint18)
    (can-traverse rover5 waypoint18 waypoint10)
    (can-traverse rover5 waypoint10 waypoint23)
    (can-traverse rover5 waypoint23 waypoint10)
    (can-traverse rover5 waypoint11 waypoint6)
    (can-traverse rover5 waypoint6 waypoint11)
    (can-traverse rover5 waypoint11 waypoint8)
    (can-traverse rover5 waypoint8 waypoint11)
    (can-traverse rover5 waypoint11 waypoint12)
    (can-traverse rover5 waypoint12 waypoint11)
    (can-traverse rover5 waypoint11 waypoint21)
    (can-traverse rover5 waypoint21 waypoint11)
    (can-traverse rover5 waypoint11 waypoint22)
    (can-traverse rover5 waypoint22 waypoint11)
    (can-traverse rover5 waypoint15 waypoint0)
    (can-traverse rover5 waypoint0 waypoint15)
    (can-traverse rover5 waypoint15 waypoint1)
    (can-traverse rover5 waypoint1 waypoint15)
    (can-traverse rover5 waypoint15 waypoint13)
    (can-traverse rover5 waypoint13 waypoint15)
    (can-traverse rover5 waypoint15 waypoint17)
    (can-traverse rover5 waypoint17 waypoint15)
    (can-traverse rover5 waypoint16 waypoint2)
    (can-traverse rover5 waypoint2 waypoint16)
    (can-traverse rover5 waypoint16 waypoint4)
    (can-traverse rover5 waypoint4 waypoint16)
    (can-traverse rover5 waypoint16 waypoint7)
    (can-traverse rover5 waypoint7 waypoint16)
    (can-traverse rover5 waypoint18 waypoint3)
    (can-traverse rover5 waypoint3 waypoint18)
    (can-traverse rover5 waypoint23 waypoint20)
    (can-traverse rover5 waypoint20 waypoint23)
    (can-traverse rover5 waypoint23 waypoint24)
    (can-traverse rover5 waypoint24 waypoint23)
    (can-traverse rover5 waypoint6 waypoint5)
    (can-traverse rover5 waypoint5 waypoint6)
    (can-traverse rover5 waypoint6 waypoint9)
    (can-traverse rover5 waypoint9 waypoint6)
    (can-traverse rover5 waypoint6 waypoint14)
    (can-traverse rover5 waypoint14 waypoint6)
    (can-traverse rover5 waypoint6 waypoint19)
    (can-traverse rover5 waypoint19 waypoint6)
    (at rover6 waypoint4)
    (available rover6)
    (store-of rover6store rover6)
    (empty rover6store)
    (equipped-for-soil-analysis rover6)
    (equipped-for-imaging rover6)
    (can-traverse rover6 waypoint4 waypoint1)
    (can-traverse rover6 waypoint1 waypoint4)
    (can-traverse rover6 waypoint4 waypoint6)
    (can-traverse rover6 waypoint6 waypoint4)
    (can-traverse rover6 waypoint4 waypoint8)
    (can-traverse rover6 waypoint8 waypoint4)
    (can-traverse rover6 waypoint4 waypoint13)
    (can-traverse rover6 waypoint13 waypoint4)
    (can-traverse rover6 waypoint4 waypoint16)
    (can-traverse rover6 waypoint16 waypoint4)
    (can-traverse rover6 waypoint4 waypoint19)
    (can-traverse rover6 waypoint19 waypoint4)
    (can-traverse rover6 waypoint4 waypoint20)
    (can-traverse rover6 waypoint20 waypoint4)
    (can-traverse rover6 waypoint1 waypoint3)
    (can-traverse rover6 waypoint3 waypoint1)
    (can-traverse rover6 waypoint1 waypoint5)
    (can-traverse rover6 waypoint5 waypoint1)
    (can-traverse rover6 waypoint1 waypoint14)
    (can-traverse rover6 waypoint14 waypoint1)
    (can-traverse rover6 waypoint1 waypoint18)
    (can-traverse rover6 waypoint18 waypoint1)
    (can-traverse rover6 waypoint1 waypoint23)
    (can-traverse rover6 waypoint23 waypoint1)
    (can-traverse rover6 waypoint6 waypoint2)
    (can-traverse rover6 waypoint2 waypoint6)
    (can-traverse rover6 waypoint6 waypoint9)
    (can-traverse rover6 waypoint9 waypoint6)
    (can-traverse rover6 waypoint6 waypoint11)
    (can-traverse rover6 waypoint11 waypoint6)
    (can-traverse rover6 waypoint6 waypoint12)
    (can-traverse rover6 waypoint12 waypoint6)
    (can-traverse rover6 waypoint6 waypoint15)
    (can-traverse rover6 waypoint15 waypoint6)
    (can-traverse rover6 waypoint6 waypoint21)
    (can-traverse rover6 waypoint21 waypoint6)
    (can-traverse rover6 waypoint8 waypoint17)
    (can-traverse rover6 waypoint17 waypoint8)
    (can-traverse rover6 waypoint16 waypoint7)
    (can-traverse rover6 waypoint7 waypoint16)
    (can-traverse rover6 waypoint16 waypoint10)
    (can-traverse rover6 waypoint10 waypoint16)
    (can-traverse rover6 waypoint16 waypoint22)
    (can-traverse rover6 waypoint22 waypoint16)
    (can-traverse rover6 waypoint20 waypoint24)
    (can-traverse rover6 waypoint24 waypoint20)
    (can-traverse rover6 waypoint23 waypoint0)
    (can-traverse rover6 waypoint0 waypoint23)
    (at rover7 waypoint16)
    (available rover7)
    (store-of rover7store rover7)
    (empty rover7store)
    (equipped-for-rock-analysis rover7)
    (can-traverse rover7 waypoint16 waypoint2)
    (can-traverse rover7 waypoint2 waypoint16)
    (can-traverse rover7 waypoint16 waypoint4)
    (can-traverse rover7 waypoint4 waypoint16)
    (can-traverse rover7 waypoint16 waypoint8)
    (can-traverse rover7 waypoint8 waypoint16)
    (can-traverse rover7 waypoint16 waypoint10)
    (can-traverse rover7 waypoint10 waypoint16)
    (can-traverse rover7 waypoint16 waypoint20)
    (can-traverse rover7 waypoint20 waypoint16)
    (can-traverse rover7 waypoint2 waypoint5)
    (can-traverse rover7 waypoint5 waypoint2)
    (can-traverse rover7 waypoint2 waypoint6)
    (can-traverse rover7 waypoint6 waypoint2)
    (can-traverse rover7 waypoint2 waypoint9)
    (can-traverse rover7 waypoint9 waypoint2)
    (can-traverse rover7 waypoint2 waypoint14)
    (can-traverse rover7 waypoint14 waypoint2)
    (can-traverse rover7 waypoint2 waypoint23)
    (can-traverse rover7 waypoint23 waypoint2)
    (can-traverse rover7 waypoint4 waypoint13)
    (can-traverse rover7 waypoint13 waypoint4)
    (can-traverse rover7 waypoint4 waypoint19)
    (can-traverse rover7 waypoint19 waypoint4)
    (can-traverse rover7 waypoint8 waypoint7)
    (can-traverse rover7 waypoint7 waypoint8)
    (can-traverse rover7 waypoint8 waypoint17)
    (can-traverse rover7 waypoint17 waypoint8)
    (can-traverse rover7 waypoint8 waypoint18)
    (can-traverse rover7 waypoint18 waypoint8)
    (can-traverse rover7 waypoint10 waypoint11)
    (can-traverse rover7 waypoint11 waypoint10)
    (can-traverse rover7 waypoint10 waypoint15)
    (can-traverse rover7 waypoint15 waypoint10)
    (can-traverse rover7 waypoint20 waypoint3)
    (can-traverse rover7 waypoint3 waypoint20)
    (can-traverse rover7 waypoint20 waypoint24)
    (can-traverse rover7 waypoint24 waypoint20)
    (can-traverse rover7 waypoint5 waypoint21)
    (can-traverse rover7 waypoint21 waypoint5)
    (can-traverse rover7 waypoint6 waypoint12)
    (can-traverse rover7 waypoint12 waypoint6)
    (can-traverse rover7 waypoint14 waypoint0)
    (can-traverse rover7 waypoint0 waypoint14)
    (can-traverse rover7 waypoint14 waypoint1)
    (can-traverse rover7 waypoint1 waypoint14)
    (on-board camera0 rover0)
    (calibration-target camera0 objective6)
    (supports camera0 colour)
    (supports camera0 high-res)
    (on-board camera1 rover1)
    (calibration-target camera1 objective1)
    (supports camera1 colour)
    (supports camera1 high-res)
    (on-board camera2 rover4)
    (calibration-target camera2 objective0)
    (supports camera2 colour)
    (supports camera2 high-res)
    (supports camera2 low-res)
    (on-board camera3 rover2)
    (calibration-target camera3 objective2)
    (supports camera3 high-res)
    (supports camera3 low-res)
    (on-board camera4 rover1)
    (calibration-target camera4 objective4)
    (supports camera4 colour)
    (supports camera4 high-res)
    (on-board camera5 rover5)
    (calibration-target camera5 objective4)
    (supports camera5 high-res)
    (on-board camera6 rover6)
    (calibration-target camera6 objective5)
    (supports camera6 colour)
    (supports camera6 high-res)
    (supports camera6 low-res)
    (visible-from objective0 waypoint0)
    (visible-from objective0 waypoint1)
    (visible-from objective0 waypoint2)
    (visible-from objective0 waypoint3)
    (visible-from objective0 waypoint4)
    (visible-from objective0 waypoint5)
    (visible-from objective0 waypoint6)
    (visible-from objective0 waypoint7)
    (visible-from objective0 waypoint8)
    (visible-from objective0 waypoint9)
    (visible-from objective0 waypoint10)
    (visible-from objective0 waypoint11)
    (visible-from objective0 waypoint12)
    (visible-from objective0 waypoint13)
    (visible-from objective0 waypoint14)
    (visible-from objective0 waypoint15)
    (visible-from objective0 waypoint16)
    (visible-from objective1 waypoint0)
    (visible-from objective1 waypoint1)
    (visible-from objective1 waypoint2)
    (visible-from objective1 waypoint3)
    (visible-from objective2 waypoint0)
    (visible-from objective2 waypoint1)
    (visible-from objective2 waypoint2)
    (visible-from objective2 waypoint3)
    (visible-from objective2 waypoint4)
    (visible-from objective2 waypoint5)
    (visible-from objective2 waypoint6)
    (visible-from objective2 waypoint7)
    (visible-from objective2 waypoint8)
    (visible-from objective2 waypoint9)
    (visible-from objective2 waypoint10)
    (visible-from objective2 waypoint11)
    (visible-from objective2 waypoint12)
    (visible-from objective2 waypoint13)
    (visible-from objective2 waypoint14)
    (visible-from objective2 waypoint15)
    (visible-from objective2 waypoint16)
    (visible-from objective2 waypoint17)
    (visible-from objective3 waypoint0)
    (visible-from objective3 waypoint1)
    (visible-from objective3 waypoint2)
    (visible-from objective3 waypoint3)
    (visible-from objective3 waypoint4)
    (visible-from objective3 waypoint5)
    (visible-from objective3 waypoint6)
    (visible-from objective3 waypoint7)
    (visible-from objective3 waypoint8)
    (visible-from objective3 waypoint9)
    (visible-from objective3 waypoint10)
    (visible-from objective3 waypoint11)
    (visible-from objective3 waypoint12)
    (visible-from objective3 waypoint13)
    (visible-from objective3 waypoint14)
    (visible-from objective3 waypoint15)
    (visible-from objective3 waypoint16)
    (visible-from objective3 waypoint17)
    (visible-from objective3 waypoint18)
    (visible-from objective3 waypoint19)
    (visible-from objective4 waypoint0)
    (visible-from objective4 waypoint1)
    (visible-from objective4 waypoint2)
    (visible-from objective4 waypoint3)
    (visible-from objective4 waypoint4)
    (visible-from objective4 waypoint5)
    (visible-from objective4 waypoint6)
    (visible-from objective4 waypoint7)
    (visible-from objective4 waypoint8)
    (visible-from objective4 waypoint9)
    (visible-from objective4 waypoint10)
    (visible-from objective4 waypoint11)
    (visible-from objective4 waypoint12)
    (visible-from objective4 waypoint13)
    (visible-from objective4 waypoint14)
    (visible-from objective4 waypoint15)
    (visible-from objective4 waypoint16)
    (visible-from objective4 waypoint17)
    (visible-from objective4 waypoint18)
    (visible-from objective4 waypoint19)
    (visible-from objective4 waypoint20)
    (visible-from objective4 waypoint21)
    (visible-from objective4 waypoint22)
    (visible-from objective4 waypoint23)
    (visible-from objective5 waypoint0)
    (visible-from objective5 waypoint1)
    (visible-from objective5 waypoint2)
    (visible-from objective5 waypoint3)
    (visible-from objective5 waypoint4)
    (visible-from objective5 waypoint5)
    (visible-from objective5 waypoint6)
    (visible-from objective5 waypoint7)
    (visible-from objective5 waypoint8)
    (visible-from objective5 waypoint9)
    (visible-from objective5 waypoint10)
    (visible-from objective5 waypoint11)
    (visible-from objective5 waypoint12)
    (visible-from objective5 waypoint13)
    (visible-from objective5 waypoint14)
    (visible-from objective6 waypoint0)
    (visible-from objective6 waypoint1)
    (visible-from objective6 waypoint2)
    (visible-from objective6 waypoint3)
    (visible-from objective6 waypoint4)
    (visible-from objective6 waypoint5)
    (visible-from objective6 waypoint6)
    (visible-from objective6 waypoint7)
    (visible-from objective6 waypoint8)
    (visible-from objective6 waypoint9)
    (visible-from objective6 waypoint10)
    (visible-from objective7 waypoint0)
    (visible-from objective7 waypoint1)
    (visible-from objective7 waypoint2)
    (visible-from objective7 waypoint3)
    (visible-from objective7 waypoint4)
    (visible-from objective7 waypoint5)
    (visible-from objective7 waypoint6)
    (visible-from objective7 waypoint7)
    (visible-from objective7 waypoint8)
    (visible-from objective7 waypoint9)
    (visible-from objective7 waypoint10)
    (visible-from objective7 waypoint11)
    (visible-from objective7 waypoint12)
    (visible-from objective7 waypoint13)
    (visible-from objective7 waypoint14)
    (visible-from objective7 waypoint15)
    (visible-from objective7 waypoint16)
    (visible-from objective7 waypoint17)
    (visible-from objective7 waypoint18)
    (visible-from objective7 waypoint19)
    (visible-from objective7 waypoint20)
    (type-camera camera0)
    (type-camera camera1)
    (type-camera camera2)
    (type-camera camera3)
    (type-camera camera4)
    (type-camera camera5)
    (type-camera camera6)
    (type-lander general)
    (type-mode colour)
    (type-mode high-res)
    (type-mode low-res)
    (type-object camera0)
    (type-object camera1)
    (type-object camera2)
    (type-object camera3)
    (type-object camera4)
    (type-object camera5)
    (type-object camera6)
    (type-object colour)
    (type-object general)
    (type-object high-res)
    (type-object low-res)
    (type-object objective0)
    (type-object objective1)
    (type-object objective2)
    (type-object objective3)
    (type-object objective4)
    (type-object objective5)
    (type-object objective6)
    (type-object objective7)
    (type-object rover0)
    (type-object rover0store)
    (type-object rover1)
    (type-object rover1store)
    (type-object rover2)
    (type-object rover2store)
    (type-object rover3)
    (type-object rover3store)
    (type-object rover4)
    (type-object rover4store)
    (type-object rover5)
    (type-object rover5store)
    (type-object rover6)
    (type-object rover6store)
    (type-object rover7)
    (type-object rover7store)
    (type-object waypoint0)
    (type-object waypoint1)
    (type-object waypoint10)
    (type-object waypoint11)
    (type-object waypoint12)
    (type-object waypoint13)
    (type-object waypoint14)
    (type-object waypoint15)
    (type-object waypoint16)
    (type-object waypoint17)
    (type-object waypoint18)
    (type-object waypoint19)
    (type-object waypoint2)
    (type-object waypoint20)
    (type-object waypoint21)
    (type-object waypoint22)
    (type-object waypoint23)
    (type-object waypoint24)
    (type-object waypoint3)
    (type-object waypoint4)
    (type-object waypoint5)
    (type-object waypoint6)
    (type-object waypoint7)
    (type-object waypoint8)
    (type-object waypoint9)
    (type-objective objective0)
    (type-objective objective1)
    (type-objective objective2)
    (type-objective objective3)
    (type-objective objective4)
    (type-objective objective5)
    (type-objective objective6)
    (type-objective objective7)
    (type-rover rover0)
    (type-rover rover1)
    (type-rover rover2)
    (type-rover rover3)
    (type-rover rover4)
    (type-rover rover5)
    (type-rover rover6)
    (type-rover rover7)
    (type-sort-for-camera0 camera0)
    (type-sort-for-camera1 camera1)
    (type-sort-for-camera2 camera2)
    (type-sort-for-camera3 camera3)
    (type-sort-for-camera4 camera4)
    (type-sort-for-camera5 camera5)
    (type-sort-for-camera6 camera6)
    (type-sort-for-colour colour)
    (type-sort-for-general general)
    (type-sort-for-high-res high-res)
    (type-sort-for-low-res low-res)
    (type-sort-for-objective0 objective0)
    (type-sort-for-objective1 objective1)
    (type-sort-for-objective2 objective2)
    (type-sort-for-objective3 objective3)
    (type-sort-for-objective4 objective4)
    (type-sort-for-objective5 objective5)
    (type-sort-for-objective6 objective6)
    (type-sort-for-objective7 objective7)
    (type-sort-for-rover0 rover0)
    (type-sort-for-rover0store rover0store)
    (type-sort-for-rover1 rover1)
    (type-sort-for-rover1store rover1store)
    (type-sort-for-rover2 rover2)
    (type-sort-for-rover2store rover2store)
    (type-sort-for-rover3 rover3)
    (type-sort-for-rover3store rover3store)
    (type-sort-for-rover4 rover4)
    (type-sort-for-rover4store rover4store)
    (type-sort-for-rover5 rover5)
    (type-sort-for-rover5store rover5store)
    (type-sort-for-rover6 rover6)
    (type-sort-for-rover6store rover6store)
    (type-sort-for-rover7 rover7)
    (type-sort-for-rover7store rover7store)
    (type-sort-for-waypoint0 waypoint0)
    (type-sort-for-waypoint1 waypoint1)
    (type-sort-for-waypoint10 waypoint10)
    (type-sort-for-waypoint11 waypoint11)
    (type-sort-for-waypoint12 waypoint12)
    (type-sort-for-waypoint13 waypoint13)
    (type-sort-for-waypoint14 waypoint14)
    (type-sort-for-waypoint15 waypoint15)
    (type-sort-for-waypoint16 waypoint16)
    (type-sort-for-waypoint17 waypoint17)
    (type-sort-for-waypoint18 waypoint18)
    (type-sort-for-waypoint19 waypoint19)
    (type-sort-for-waypoint2 waypoint2)
    (type-sort-for-waypoint20 waypoint20)
    (type-sort-for-waypoint21 waypoint21)
    (type-sort-for-waypoint22 waypoint22)
    (type-sort-for-waypoint23 waypoint23)
    (type-sort-for-waypoint24 waypoint24)
    (type-sort-for-waypoint3 waypoint3)
    (type-sort-for-waypoint4 waypoint4)
    (type-sort-for-waypoint5 waypoint5)
    (type-sort-for-waypoint6 waypoint6)
    (type-sort-for-waypoint7 waypoint7)
    (type-sort-for-waypoint8 waypoint8)
    (type-sort-for-waypoint9 waypoint9)
    (type-store rover0store)
    (type-store rover1store)
    (type-store rover2store)
    (type-store rover3store)
    (type-store rover4store)
    (type-store rover5store)
    (type-store rover6store)
    (type-store rover7store)
    (type-waypoint waypoint0)
    (type-waypoint waypoint1)
    (type-waypoint waypoint10)
    (type-waypoint waypoint11)
    (type-waypoint waypoint12)
    (type-waypoint waypoint13)
    (type-waypoint waypoint14)
    (type-waypoint waypoint15)
    (type-waypoint waypoint16)
    (type-waypoint waypoint17)
    (type-waypoint waypoint18)
    (type-waypoint waypoint19)
    (type-waypoint waypoint2)
    (type-waypoint waypoint20)
    (type-waypoint waypoint21)
    (type-waypoint waypoint22)
    (type-waypoint waypoint23)
    (type-waypoint waypoint24)
    (type-waypoint waypoint3)
    (type-waypoint waypoint4)
    (type-waypoint waypoint5)
    (type-waypoint waypoint6)
    (type-waypoint waypoint7)
    (type-waypoint waypoint8)
    (type-waypoint waypoint9)
  )
  ((x--top))
)
